(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     44831,       1065]
NotebookOptionsPosition[     43463,       1018]
NotebookOutlinePosition[     43811,       1033]
CellTagsIndexPosition[     43768,       1030]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["This notebook computes the basin plot figure 1(b).",
 FontSlant->"Italic"]], "Text",
 CellChangeTimes->{{3.818773456711622*^9, 3.8187734776354012`*^9}}],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.79946872242406*^9, 3.799468723295783*^9}}],

Cell[TextData[{
 "Dynamical system in single fluid (e.o.s. ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", ">", 
    RowBox[{"-", "1"}]}], TraditionalForm]]],
 ") self-tuning generalized cubic Galileon..."
}], "Text",
 CellChangeTimes->{{3.7993677902257767`*^9, 3.7993678159381433`*^9}, {
  3.8187734882800627`*^9, 3.818773488532155*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "\[Prime]",
      MultilineFunction->None], "[", "\[Tau]", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"-", "3"}], " ", 
     RowBox[{"x", "[", "\[Tau]", "]"}], " ", 
     RowBox[{"y", "[", "\[Tau]", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["y", "\[Prime]",
      MultilineFunction->None], "[", "\[Tau]", "]"}], "\[Equal]", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{"2", " ", "n"}]}], ")"}], " ", "w"}]}], ")"}], " ", 
            "\[Beta]", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox["2", 
                    RowBox[{"1", "-", "n"}]], " ", "n", " ", "\[Beta]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}]}], 
                  RowBox[{"x", "[", "\[Tau]", "]"}]]}], ")"}], 
               FractionBox["2", 
                RowBox[{"1", "-", 
                 RowBox[{"2", " ", "n"}]}]]], ")"}], "n"], " ", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"2", " ", "n"}], "+", 
              RowBox[{"2", " ", "n", " ", 
               RowBox[{"y", "[", "\[Tau]", "]"}]}]}], ")"}]}], "+", 
           RowBox[{"3", " ", 
            SuperscriptBox["2", "n"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", "w"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[Lambda]"}], "+", 
              SuperscriptBox[
               RowBox[{"y", "[", "\[Tau]", "]"}], "2"]}], ")"}]}]}], ")"}]}], 
        ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            SuperscriptBox["2", "n"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}]}], "+", 
           RowBox[{"n", " ", "\[Beta]", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox["2", 
                    RowBox[{"1", "-", "n"}]], " ", "n", " ", "\[Beta]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}]}], 
                  RowBox[{"x", "[", "\[Tau]", "]"}]]}], ")"}], 
               FractionBox["2", 
                RowBox[{"1", "-", 
                 RowBox[{"2", " ", "n"}]}]]], ")"}], "n"]}]}], ")"}]}], 
        ")"}]}], ")"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.79936782285003*^9, 3.7993678403224497`*^9}}],

Cell[TextData[{
 StyleBox["Theoretical constraint",
  FontVariations->{"Underline"->True}],
 " on ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FontVariations->{"Underline"->False}],
 " and \[Lambda]: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"\[Lambda]", "-", "1"}]]}], "<", "n", "<", "0"}], 
   TraditionalForm]]],
 "\n\nWe consider the special case ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", 
    RowBox[{"-", "1"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Lambda]", "=", 
    FractionBox["19", "10"]}], TraditionalForm]]],
 " (with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Beta]", "=", "1"}], TraditionalForm]]],
 "). For this, it is informative to see the region of phase space that leads \
to either one of the de Sitter states (",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", "1"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", 
    SqrtBox["\[Lambda]"]}], TraditionalForm]]],
 "). We setup the field equations below..."
}], "Text",
 CellChangeTimes->{{3.799367921081956*^9, 3.799367945829257*^9}, {
  3.799367985741125*^9, 3.7993680185702553`*^9}, {3.7994658097905855`*^9, 
  3.799465826320404*^9}, {3.799465861010296*^9, 3.79946594901268*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"sc1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"n", "\[Rule]", 
      RowBox[{"-", "1"}]}], ",", 
     RowBox[{"\[Lambda]", "\[Rule]", 
      FractionBox["19", "10"]}], ",", 
     RowBox[{"\[Beta]", "\[Rule]", "1"}], ",", 
     RowBox[{"w", "\[Rule]", "0"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq1sc1", "=", 
   RowBox[{
    RowBox[{"eq1", "/.", "sc1"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eq2sc1", "=", 
    RowBox[{
     RowBox[{"eq2", "/.", "sc1"}], "//", "Simplify"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", "eq1sc1", "\
\[IndentingNewLine]", "eq2sc1"}], "Input",
 CellChangeTimes->{{3.799465950475954*^9, 3.799466062638166*^9}, {
  3.7994964040192804`*^9, 3.7994964049376926`*^9}, {3.7994965514193044`*^9, 
  3.7994965520886745`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["x", "\[Prime]",
    MultilineFunction->None], "[", "\[Tau]", "]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"-", "3"}], " ", 
   RowBox[{"x", "[", "\[Tau]", "]"}], " ", 
   RowBox[{"y", "[", "\[Tau]", "]"}]}]}]], "Output",
 CellChangeTimes->{{3.7994660183110137`*^9, 3.7994660636679354`*^9}, 
   3.799467384724436*^9, 3.7994687302733684`*^9, 3.799469859436288*^9, 
   3.799472154689889*^9, 3.799473075066059*^9, 3.799474991393547*^9, 
   3.799475605596938*^9, {3.79947575282122*^9, 3.7994757590530276`*^9}, 
   3.799476529423132*^9, 3.7994767708255196`*^9, 3.799477408280404*^9, 
   3.799478711487094*^9, 3.79947901584379*^9, 3.799479383060581*^9, 
   3.799479942577973*^9, 3.7994813799619465`*^9, 3.7994824216042013`*^9, 
   3.7994834236431723`*^9, 3.799483822707364*^9, 3.7994839520828395`*^9, 
   3.7994854536786795`*^9, 3.799485713007429*^9, 3.7994863263996286`*^9, 
   3.799489066990416*^9, 3.799489482756562*^9, 3.7994901580132837`*^9, 
   3.7994963187954607`*^9, {3.7994963996914535`*^9, 3.7994964061203527`*^9}, 
   3.7994965568092346`*^9, 3.79949999937934*^9, 3.7995042439755926`*^9, 
   3.799504864129284*^9, 3.7995062764499073`*^9, 3.799508187081496*^9, 
   3.7995082782328215`*^9, 3.7995702878118954`*^9, 3.799913722533667*^9, 
   3.7999142939295197`*^9, 3.799916713444682*^9, 3.800456702314017*^9, 
   3.8004952282701015`*^9, 3.8004960308630357`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["y", "\[Prime]",
    MultilineFunction->None], "[", "\[Tau]", "]"}], "\[Equal]", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"3", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["171", "5"], "-", 
       RowBox[{"18", " ", 
        SuperscriptBox[
         RowBox[{"y", "[", "\[Tau]", "]"}], "2"]}], "+", 
       FractionBox[
        RowBox[{
         SuperscriptBox["2", 
          RowBox[{"2", "/", "3"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "3"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"y", "[", "\[Tau]", "]"}]}]}], ")"}]}], 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox[
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"y", "[", "\[Tau]", "]"}]}], 
           RowBox[{"x", "[", "\[Tau]", "]"}]], ")"}], 
         RowBox[{"2", "/", "3"}]]]}], ")"}]}], 
    RowBox[{"8", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FractionBox["9", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}]}], "-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox["2", 
          RowBox[{"1", "/", "3"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox[
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"y", "[", "\[Tau]", "]"}]}], 
            RowBox[{"x", "[", "\[Tau]", "]"}]], ")"}], 
          RowBox[{"2", "/", "3"}]]}]]}], ")"}]}]]}]}]], "Output",
 CellChangeTimes->{{3.7994660183110137`*^9, 3.7994660636679354`*^9}, 
   3.799467384724436*^9, 3.7994687302733684`*^9, 3.799469859436288*^9, 
   3.799472154689889*^9, 3.799473075066059*^9, 3.799474991393547*^9, 
   3.799475605596938*^9, {3.79947575282122*^9, 3.7994757590530276`*^9}, 
   3.799476529423132*^9, 3.7994767708255196`*^9, 3.799477408280404*^9, 
   3.799478711487094*^9, 3.79947901584379*^9, 3.799479383060581*^9, 
   3.799479942577973*^9, 3.7994813799619465`*^9, 3.7994824216042013`*^9, 
   3.7994834236431723`*^9, 3.799483822707364*^9, 3.7994839520828395`*^9, 
   3.7994854536786795`*^9, 3.799485713007429*^9, 3.7994863263996286`*^9, 
   3.799489066990416*^9, 3.799489482756562*^9, 3.7994901580132837`*^9, 
   3.7994963187954607`*^9, {3.7994963996914535`*^9, 3.7994964061203527`*^9}, 
   3.7994965568092346`*^9, 3.79949999937934*^9, 3.7995042439755926`*^9, 
   3.799504864129284*^9, 3.7995062764499073`*^9, 3.799508187081496*^9, 
   3.7995082782328215`*^9, 3.7995702878118954`*^9, 3.799913722533667*^9, 
   3.7999142939295197`*^9, 3.799916713444682*^9, 3.800456702314017*^9, 
   3.8004952282701015`*^9, 3.8004960308730707`*^9}]
}, Open  ]],

Cell["\<\
To check in which attractor the dynamical system tends to at late times, we \
setup the function...\
\>", "Text",
 CellChangeTimes->{{3.799466166054122*^9, 3.799466193205759*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"check", " ", "late", " ", "time"}], ",", " ", 
    RowBox[{
     RowBox[{"H", "/", "h"}], "=", 
     RowBox[{
      SqrtBox["\[Lambda]"], " ", "\[Rule]", " ", "0"}]}], ",", " ", 
    RowBox[{
     RowBox[{"1", ":", " ", 
      RowBox[{"H", "/", "h"}]}], "=", 
     RowBox[{"1", " ", "\[Rule]", " ", "1"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"CheckLT", "[", 
    RowBox[{
    "x0_", ",", "y0_", ",", "MinT_", ",", "MaxT_", ",", "\[Epsilon]_"}], 
    "]"}], ":=", 
   RowBox[{"Catch", "[", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "Check", " ", "evaluates", " ", "the", " ", "first", " ", "input"}], 
      ",", " ", 
      RowBox[{
      "and", " ", "outputs", " ", "the", " ", "second", " ", "input", " ", 
       "when", " ", "the", " ", "error", " ", "message", " ", "in", " ", 
       "the", " ", "third", " ", "input", " ", "is", " ", "encountered"}]}], 
     "*)"}], 
    RowBox[{
     RowBox[{"Check", "[", 
      RowBox[{
       RowBox[{"NDSolve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"eq1sc1", ",", "eq2sc1", ",", 
           RowBox[{
            RowBox[{"x", "[", "MinT", "]"}], "\[Equal]", "x0"}], ",", 
           RowBox[{
            RowBox[{"y", "[", "MinT", "]"}], "\[Equal]", "y0"}], ",", 
           RowBox[{"WhenEvent", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{
                RowBox[{"y", "[", "\[Tau]", "]"}], "-", "1"}], "]"}], "<", 
              "\[Epsilon]"}], ",", 
             RowBox[{"Throw", "[", "1", "]"}]}], "]"}], ",", 
           RowBox[{"WhenEvent", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"-", "\[Epsilon]"}], "<", 
               RowBox[{"Re", "[", 
                RowBox[{
                 RowBox[{"y", "[", "\[Tau]", "]"}], "-", 
                 SqrtBox["\[Lambda]"]}], "]"}], "<", "\[Epsilon]"}], "/.", 
              "sc1"}], ",", 
             RowBox[{"Throw", "[", "0", "]"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Tau]", ",", "MinT", ",", "MaxT"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Throw", "[", "2", "]"}], ",", 
       RowBox[{"NDSolve", "::", "ndsz"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Throw", "[", "3", "]"}], ";"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.799466205463842*^9, 3.799466244719797*^9}, {
   3.799466275809084*^9, 3.799466463633244*^9}, {3.799466519458193*^9, 
   3.7994665196355224`*^9}, {3.799466566455367*^9, 3.799466604517524*^9}, {
   3.799466802578038*^9, 3.7994668027760897`*^9}, {3.7994669630678596`*^9, 
   3.799466967207504*^9}, {3.799467157899048*^9, 3.799467163194708*^9}, {
   3.799467218205207*^9, 3.799467218720845*^9}, {3.7994672491989846`*^9, 
   3.799467292753516*^9}, {3.799468856666789*^9, 3.7994688946079226`*^9}, {
   3.7994689675340176`*^9, 3.7994689709087114`*^9}, {3.799469105883318*^9, 
   3.7994691897396517`*^9}, {3.799470005736136*^9, 3.799470005920725*^9}, {
   3.799470424998167*^9, 3.7994704254200563`*^9}, {3.799470466591407*^9, 
   3.799470466888146*^9}, {3.7994707399159393`*^9, 3.799470747604072*^9}, {
   3.799472043045761*^9, 3.799472211881359*^9}, {3.7994722898178864`*^9, 
   3.7994722964419627`*^9}, {3.799473231429326*^9, 3.7994732384082265`*^9}, {
   3.7994746613323116`*^9, 3.7994746634532423`*^9}, 3.7994752685109625`*^9, {
   3.799483830010846*^9, 3.7994838759367256`*^9}, {3.799484144328905*^9, 
   3.799484146644809*^9}, {3.7994842127843447`*^9, 3.799484213666689*^9}, 
   3.799485264524499*^9, {3.799486335594219*^9, 3.799486345841133*^9}, {
   3.7994901370771556`*^9, 3.7994901404502654`*^9}, {3.7994902652126017`*^9, 
   3.7994902694849195`*^9}, {3.799490312749957*^9, 3.799490337370158*^9}, {
   3.7994966390237417`*^9, 3.7994966511963654`*^9}, {3.799496708319071*^9, 
   3.7994967219403286`*^9}}],

Cell[TextData[{
 "For instance, we can use this to show that the initial condition ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SubscriptBox["x", "0"], "=", "1.1"}], ",", " ", 
     RowBox[{
      SubscriptBox["y", "0"], "=", "1.1"}]}], ")"}], TraditionalForm]]],
 " leads to the self-tuned de Sitter state, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "/", "h"}], "=", "1"}], TraditionalForm]]],
 "..."
}], "Text",
 CellChangeTimes->{{3.7994689789597816`*^9, 3.7994690269377394`*^9}, {
  3.7994690903720684`*^9, 3.799469103826058*^9}, {3.7994692026780415`*^9, 
  3.799469221137151*^9}, {3.799483998211568*^9, 3.799483999472467*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckLT", "[", 
  RowBox[{"1.1", ",", "1.1", ",", "0", ",", "10", ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "5"}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.799466484319785*^9, 3.7994665119430747`*^9}, {
  3.799467021818784*^9, 3.799467023380924*^9}, {3.799467304290719*^9, 
  3.7994673047907324`*^9}, {3.7994705862708735`*^9, 3.7994705886757903`*^9}, {
  3.7994707703186054`*^9, 3.7994707708968897`*^9}, {3.799470906513772*^9, 
  3.7994709253320775`*^9}, {3.7994709766184793`*^9, 3.799471001784707*^9}, {
  3.799472219719482*^9, 3.7994722202977047`*^9}, {3.799472302909221*^9, 
  3.799472306511809*^9}, {3.7994727554499736`*^9, 3.799472783529219*^9}, {
  3.7994729920967693`*^9, 3.7994729957716208`*^9}, {3.7994730969809847`*^9, 
  3.7994731148745503`*^9}, {3.799474679141762*^9, 3.7994746819940586`*^9}, {
  3.799482542879704*^9, 3.799482543005602*^9}, {3.7994841795267754`*^9, 
  3.7994841825423317`*^9}, {3.79948662020918*^9, 3.799486622452814*^9}, {
  3.7994867034188213`*^9, 3.7994867089072447`*^9}, {3.7995042852528715`*^9, 
  3.7995043025092936`*^9}}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.7994665123921757`*^9, 3.799466522675799*^9}, 
   3.799466586629105*^9, {3.7994670119482303`*^9, 3.799467027051768*^9}, 
   3.799467184187403*^9, 3.7994673058840513`*^9, 3.7994673910354676`*^9, 
   3.7994688676857996`*^9, 3.799468916272732*^9, 3.7994692237425547`*^9, 
   3.7994698646312313`*^9, 3.7994700173341*^9, 3.799470474724866*^9, 
   3.799470589239274*^9, {3.799470762153037*^9, 3.799470771665533*^9}, 
   3.799470907583099*^9, {3.7994709782143726`*^9, 3.79947100260142*^9}, {
   3.799472188385255*^9, 3.79947222076888*^9}, 3.7994723069821606`*^9, {
   3.799472764175284*^9, 3.799472784131164*^9}, {3.799472993146044*^9, 
   3.799472996226941*^9}, {3.7994730818487883`*^9, 3.7994731160447474`*^9}, {
   3.7994746745695896`*^9, 3.799474682766404*^9}, 3.799474998711201*^9, 
   3.799475612713194*^9, 3.799476540608686*^9, 3.7994790301196938`*^9, 
   3.799482434744218*^9, 3.7994825433626604`*^9, 3.7994834428933754`*^9, {
   3.7994838482268753`*^9, 3.7994838790121813`*^9}, {3.7994841673114495`*^9, 
   3.7994841832308054`*^9}, 3.799484217160654*^9, 3.799486386528474*^9, {
   3.7994866161784143`*^9, 3.799486622858655*^9}, {3.7994867054086766`*^9, 
   3.7994867093999414`*^9}, 3.7994901648427396`*^9, 3.79949641560003*^9, 
   3.79949656324002*^9, 3.799496683320526*^9, {3.799504280182007*^9, 
   3.7995043031298456`*^9}, 3.799506283055451*^9}]
}, Open  ]],

Cell[TextData[{
 "Checking the vicinity of the other de Sitter state, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "/", "h"}], "=", 
    SqrtBox["\[Lambda]"]}], TraditionalForm]]],
 "..."
}], "Text",
 CellChangeTimes->{{3.799482460432*^9, 3.7994824737139273`*^9}, {
  3.7994834331438046`*^9, 3.799483436813198*^9}, {3.7994839749226413`*^9, 
  3.7994840164792557`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckLT", "[", 
  RowBox[{"1", ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SqrtBox["\[Lambda]"], "-", "0.1"}], ")"}], "/.", "sc1"}], ",", "0", ",",
    "10", ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "7"}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.7994824834805293`*^9, 3.799482539998718*^9}, {
  3.7994834473492146`*^9, 3.799483447541686*^9}, {3.7994841909708605`*^9, 
  3.799484197226902*^9}, {3.7994902381380405`*^9, 3.7994902409521236`*^9}, {
  3.799504312076605*^9, 3.7995043165360975`*^9}, {3.7995062889689097`*^9, 
  3.7995062891641145`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.7994824920575495`*^9, 3.799482540484599*^9}, {
   3.7994834450855713`*^9, 3.799483448081583*^9}, {3.7994838722231817`*^9, 
   3.799483881441553*^9}, 3.7994839584519343`*^9, 3.799484019447973*^9, {
   3.7994841981077647`*^9, 3.799484219179305*^9}, 3.7994901666495504`*^9, 
   3.799490242981777*^9, 3.7994903917965174`*^9, 3.7994964177600384`*^9, 
   3.799496565691359*^9, 3.7994966853448095`*^9, {3.79950430628937*^9, 
   3.799504317057817*^9}, {3.799506284521395*^9, 3.799506289671774*^9}}]
}, Open  ]],

Cell["\<\
To make better use of this, we construct the following picture...\
\>", "Text",
 CellChangeTimes->{{3.799469228434533*^9, 3.7994692399670553`*^9}, {
  3.799469282305774*^9, 3.799469282422127*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"pixels", "=", "200"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Eta]", "=", 
    SuperscriptBox["10", 
     RowBox[{"-", "5"}]]}], 
   RowBox[{"(*", 
    RowBox[{"added", " ", "for", " ", "renormalization"}], "*)"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"basins", " ", "=", " ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"CheckLT", "[", 
         RowBox[{"x0", ",", "y0", ",", "0", ",", "10", ",", 
          SuperscriptBox["10", 
           RowBox[{"-", "7"}]]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"y0", ",", 
          RowBox[{"Reverse", "[", 
           RowBox[{"Subdivide", "[", 
            RowBox[{
             RowBox[{"1", "+", "\[Eta]"}], ",", "2", ",", "pixels"}], "]"}], 
           "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x0", ",", 
          RowBox[{"Subdivide", "[", 
           RowBox[{"\[Eta]", ",", "5", ",", "pixels"}], "]"}]}], "}"}]}], 
       "]"}]}], ";"}], "//", "Timing"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "uncomment", " ", "next", " ", "lines", " ", "to", " ", "increase", " ", 
    "speed", " ", "by", " ", "using", " ", "more", " ", "CPU"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"LaunchKernels", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"basins", " ", "=", " ", 
    RowBox[{"ParallelTable", "[", 
     RowBox[{
      RowBox[{"CheckLT", "[", 
       RowBox[{"x0", ",", "y0", ",", "0", ",", "10", ",", 
        SuperscriptBox["10", 
         RowBox[{"-", "7"}]]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"y0", ",", 
        RowBox[{"Reverse", "[", 
         RowBox[{"Subdivide", "[", 
          RowBox[{
           RowBox[{"1", "+", "\[Eta]"}], ",", "2", ",", "pixels"}], "]"}], 
         "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x0", ",", 
        RowBox[{"Subdivide", "[", 
         RowBox[{"\[Eta]", ",", 
          FractionBox["5", "2"], ",", "pixels"}], "]"}]}], "}"}]}], "]"}]}], 
   ";"}], "//", "Timing"}]}], "Input",
 CellChangeTimes->{{3.799469311050742*^9, 3.7994693975257435`*^9}, 
   3.799469474599778*^9, {3.799469516968566*^9, 3.7994695549367533`*^9}, {
   3.7994696439384656`*^9, 3.799469644470704*^9}, {3.799470932860795*^9, 
   3.7994709396522193`*^9}, {3.7994710621807375`*^9, 
   3.7994710890453405`*^9}, {3.799472312501293*^9, 3.7994723127696285`*^9}, {
   3.799472824381323*^9, 3.7994728839549575`*^9}, {3.7994730017763977`*^9, 
   3.799473002247095*^9}, {3.7994731205853043`*^9, 3.7994731281381865`*^9}, {
   3.7994732937232533`*^9, 3.7994732939456015`*^9}, {3.7994738150730953`*^9, 
   3.7994738185419006`*^9}, {3.799474064149335*^9, 3.799474064874298*^9}, {
   3.7994752751943502`*^9, 3.799475275363433*^9}, {3.7994753371986375`*^9, 
   3.799475338061578*^9}, 3.7994755874595804`*^9, {3.7994757751615486`*^9, 
   3.7994757965049987`*^9}, {3.7994761382871256`*^9, 
   3.7994761501487646`*^9}, {3.7994762608555393`*^9, 3.799476272440155*^9}, {
   3.7994763304392605`*^9, 3.7994763477294397`*^9}, {3.799476488003662*^9, 
   3.799476493409194*^9}, {3.799476545128705*^9, 3.7994765511786165`*^9}, {
   3.7994766704041567`*^9, 3.7994766705813675`*^9}, {3.799477357755252*^9, 
   3.799477395176491*^9}, {3.799478148552749*^9, 3.7994782183387513`*^9}, {
   3.7994789930511923`*^9, 3.7994790015322285`*^9}, {3.799479046320589*^9, 
   3.799479073592271*^9}, {3.7994793662190075`*^9, 3.7994793672903967`*^9}, {
   3.7994796041304245`*^9, 3.7994796084348707`*^9}, {3.7994797873155537`*^9, 
   3.79947981898549*^9}, {3.799479962538014*^9, 3.799479962755914*^9}, {
   3.7994800282221966`*^9, 3.7994800636568103`*^9}, {3.7994838869373074`*^9, 
   3.7994838873726068`*^9}, {3.7994842458467617`*^9, 3.799484248243361*^9}, {
   3.799484383845482*^9, 3.799484385449875*^9}, {3.799490170591013*^9, 
   3.799490176400813*^9}, {3.799490450162208*^9, 3.7994904503435373`*^9}, 
   3.7994965709394736`*^9, {3.799496695244844*^9, 3.7994966975722075`*^9}, {
   3.7994967646987667`*^9, 3.799496771461863*^9}, {3.7994990987214828`*^9, 
   3.799499102744523*^9}, {3.7994992504487*^9, 3.799499296427805*^9}, {
   3.799506259912218*^9, 3.7995062623222837`*^9}, {3.799506296734*^9, 
   3.799506346938848*^9}, {3.799913791964772*^9, 3.7999138080547266`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\<\"KernelObject\"\>", "[", 
    RowBox[{"1", ",", "\<\"local\"\>"}], "]"}], ",", 
   RowBox[{"\<\"KernelObject\"\>", "[", 
    RowBox[{"2", ",", "\<\"local\"\>"}], "]"}], ",", 
   RowBox[{"\<\"KernelObject\"\>", "[", 
    RowBox[{"3", ",", "\<\"local\"\>"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7994695408531837`*^9, 3.799469579121796*^9, 3.7994708053270073`*^9, 
   3.7994711364618955`*^9, 3.799472278225257*^9, 3.7994723760637636`*^9, {
   3.7994728545022907`*^9, 3.7994728774772053`*^9}, 3.7994730265299397`*^9, 
   3.7994731343403234`*^9, 3.7994732139863205`*^9, 3.7994732491264553`*^9, 
   3.799473300968794*^9, 3.7994740713666987`*^9, 3.7994746940588975`*^9, 
   3.7994750106983624`*^9, 3.799475290257515*^9, 3.799475345335422*^9, 
   3.7994756188729477`*^9, 3.799475785062205*^9, 3.799475889398983*^9, 
   3.799476189296694*^9, 3.7994762840642242`*^9, 3.7994763543662615`*^9, 
   3.7994764985632796`*^9, 3.7994766682285056`*^9, 3.799476956108756*^9, 
   3.7994774506049037`*^9, 3.7994790824452977`*^9, 3.799479392013372*^9, 
   3.799479929431093*^9, 3.7994800780312047`*^9, 3.799483892302457*^9, 
   3.799483922391223*^9, 3.7994840277130337`*^9, 3.7994842852892733`*^9, 
   3.7994852284629583`*^9, 3.799490186993246*^9, 3.7994904191683817`*^9, 
   3.7994904589372735`*^9, 3.7994964703219204`*^9, 3.799496786005297*^9, 
   3.7995063616501226`*^9, 3.799913820372776*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.484375`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7994695408531837`*^9, 3.799469579121796*^9, 3.7994708053270073`*^9, 
   3.7994711364618955`*^9, 3.799472278225257*^9, 3.7994723760637636`*^9, {
   3.7994728545022907`*^9, 3.7994728774772053`*^9}, 3.7994730265299397`*^9, 
   3.7994731343403234`*^9, 3.7994732139863205`*^9, 3.7994732491264553`*^9, 
   3.799473300968794*^9, 3.7994740713666987`*^9, 3.7994746940588975`*^9, 
   3.7994750106983624`*^9, 3.799475290257515*^9, 3.799475345335422*^9, 
   3.7994756188729477`*^9, 3.799475785062205*^9, 3.799475889398983*^9, 
   3.799476189296694*^9, 3.7994762840642242`*^9, 3.7994763543662615`*^9, 
   3.7994764985632796`*^9, 3.7994766682285056`*^9, 3.799476956108756*^9, 
   3.7994774506049037`*^9, 3.7994790824452977`*^9, 3.799479392013372*^9, 
   3.799479929431093*^9, 3.7994800780312047`*^9, 3.799483892302457*^9, 
   3.799483922391223*^9, 3.7994840277130337`*^9, 3.7994842852892733`*^9, 
   3.7994852284629583`*^9, 3.799490186993246*^9, 3.7994904191683817`*^9, 
   3.7994904589372735`*^9, 3.7994964703219204`*^9, 3.799496786005297*^9, 
   3.7995063616501226`*^9, 3.7999139855010304`*^9}]
}, Open  ]],

Cell["Save result...", "Text",
 CellChangeTimes->{{3.7994767838557367`*^9, 3.799476785741356*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"SetDirectory", "[", 
    RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"DumpSave", "[", 
    RowBox[{"\"\<basinsSC1_result.m\>\"", ",", 
     RowBox[{"{", 
      RowBox[{"basins", ",", "pixels"}], "}"}]}], "]"}], ";"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.79947683859332*^9, 3.7994768635024433`*^9}, {
  3.799477139895399*^9, 3.799477142391914*^9}, {3.7994781279748135`*^9, 
  3.7994781381730857`*^9}, {3.7994792577935715`*^9, 3.799479260558239*^9}, {
  3.799480081013904*^9, 3.7994800832599773`*^9}, {3.7994809442570906`*^9, 
  3.79948094674358*^9}, {3.79949730716016*^9, 3.7994973252207394`*^9}, {
  3.799507008793637*^9, 3.7995070113927712`*^9}, {3.7995702982625666`*^9, 
  3.7995703007945313`*^9}, {3.799913820287002*^9, 3.799913857824582*^9}, {
  3.7999141736270556`*^9, 3.799914176010863*^9}}],

Cell["We can plot the result below...", "Text",
 CellChangeTimes->{{3.7994696079911785`*^9, 3.799469614985167*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "\"\<basinsSC1_result.m\>\"", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AttractorColors", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "White"}], ",", 
     RowBox[{"1", 
      RowBox[{"(*", 
       RowBox[{"self", " ", "tuned", " ", "dS"}], "*)"}], "\[Rule]", 
      "Black"}], ",", 
     RowBox[{"2", "\[Rule]", "Blue"}], 
     RowBox[{"(*", 
      RowBox[{"unexpected", " ", "quitting"}], "*)"}], ",", 
     RowBox[{"3", "\[Rule]", "Blue"}]}], " ", 
    RowBox[{"(*", 
     RowBox[{
     "completed", " ", "without", " ", "error", " ", "or", " ", "event"}], 
     "*)"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", 
   RowBox[{"MatrixPlot", "[", 
    RowBox[{"basins", ",", 
     RowBox[{"ColorRules", "\[Rule]", "AttractorColors"}], ",", 
     RowBox[{"PlotTheme", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Scientific\>\"", ",", "\"\<Monochrome\>\""}], "}"}]}], 
     ",", 
     RowBox[{"FrameTicks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "\"\<2.0\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"pixels", "/", "2"}], ",", "\"\<\!\(\*
StyleBox[\"H\",
FontSlant->\"Italic\"]\)/\!\(\*
StyleBox[\"h\",
FontSlant->\"Italic\"]\)\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"pixels", ",", "\"\<1.0\>\""}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "\"\<0.0\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"pixels", "/", "2"}], ",", "\"\<\!\(\*
StyleBox[\"J\",
FontSlant->\"Italic\"]\)\!\(\*
StyleBox[\"/\",
FontSlant->\"Italic\"]\)\!\(\*
StyleBox[\"h\",
FontSlant->\"Italic\"]\)\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"pixels", ",", "\"\<2.5\>\""}], "}"}]}], "}"}]}], "}"}]}], 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"ImageSize", "\[Rule]", "500"}]}], "*)"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"LabelStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "18"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "pixels"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "pixels"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zfun", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"eq2sc1", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "//", "Denominator"}], ")"}], "/.", 
         RowBox[{
          RowBox[{"y", "[", "\[Tau]", "]"}], "\[Rule]", 
          RowBox[{
           RowBox[{"z", "[", "\[Tau]", "]"}], "+", "1"}]}]}], ")"}], 
       "\[Equal]", "0"}], ",", 
      RowBox[{"z", "[", "\[Tau]", "]"}]}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pfun", "[", "x_", "]"}], "=", 
   RowBox[{"p", "/.", 
    RowBox[{
     RowBox[{"NSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"z", "[", "\[Tau]", "]"}], "+", "1"}], "/.", "zfun"}], "/.", 
          RowBox[{
           RowBox[{"x", "[", "\[Tau]", "]"}], "\[Rule]", "x"}]}], ")"}], 
        "\[Equal]", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"p", 
           RowBox[{"(", 
            FractionBox[
             RowBox[{"1", 
              RowBox[{"(*", "\[CapitalDelta]y", "*)"}]}], "pixels"], 
            ")"}]}]}], ")"}]}], ",", "p"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pfunTab", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"pfun", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Subdivide", "[", 
        RowBox[{"0", ",", 
         FractionBox["5", "2"], ",", "pixels"}], "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pfunPlot", "=", 
    RowBox[{"ListPlot", "[", 
     RowBox[{"pfunTab", ",", 
      RowBox[{"PlotMarkers", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"\[FilledCircle]", ",", "5"}], "}"}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", "Red", "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p1", ",", "pfunPlot"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "pixels"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "pixels"}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.799469657973215*^9, 3.7994696582053633`*^9}, {
   3.799469696327762*^9, 3.799469696527147*^9}, {3.7994697540176525`*^9, 
   3.7994698216293135`*^9}, {3.7994747153450394`*^9, 3.799474715560848*^9}, {
   3.7994750160505095`*^9, 3.7994750227003574`*^9}, 3.799475308401591*^9, 
   3.7994755693274593`*^9, {3.799476102164316*^9, 3.799476112040333*^9}, {
   3.799476239429865*^9, 3.7994762529520564`*^9}, {3.7994763813466744`*^9, 
   3.799476383623168*^9}, {3.7994764376419115`*^9, 3.7994764467995176`*^9}, {
   3.7994766735179915`*^9, 3.7994766736807137`*^9}, {3.7994771160787964`*^9, 
   3.7994771541258497`*^9}, {3.799478266053131*^9, 3.7994782718079615`*^9}, {
   3.7994784857238092`*^9, 3.7994785564963565`*^9}, {3.799479271385696*^9, 
   3.799479271702714*^9}, {3.7994795497978315`*^9, 3.799479552199054*^9}, {
   3.7994809741447244`*^9, 3.7994809758024025`*^9}, {3.799481132031929*^9, 
   3.7994811981978517`*^9}, {3.799481239119517*^9, 3.7994812602804193`*^9}, {
   3.7994813017456574`*^9, 3.7994813042894883`*^9}, {3.799481345971341*^9, 
   3.79948135253788*^9}, {3.7994815081323547`*^9, 3.7994815692079744`*^9}, {
   3.7994817351869698`*^9, 3.7994817490239553`*^9}, {3.7994818016007905`*^9, 
   3.799481879768943*^9}, {3.799481936654236*^9, 3.799481963523617*^9}, {
   3.7994822692921057`*^9, 3.799482291505213*^9}, {3.7994839155274987`*^9, 
   3.799483917860682*^9}, {3.7994840503903*^9, 3.799484067639351*^9}, {
   3.7994852799689784`*^9, 3.7994853060599356`*^9}, {3.7994901898959875`*^9, 
   3.7994902174714403`*^9}, {3.799490469569346*^9, 3.799490470232053*^9}, {
   3.799496247690103*^9, 3.7994962766103973`*^9}, {3.799496376857845*^9, 
   3.7994963792586756`*^9}, {3.7994964801080585`*^9, 
   3.7994965082662883`*^9}, {3.7994972184418488`*^9, 3.799497260460412*^9}, {
   3.7994976167444715`*^9, 3.7994976546222773`*^9}, {3.7994977409512243`*^9, 
   3.7994977601242685`*^9}, {3.7994981489882717`*^9, 3.79949818178201*^9}, {
   3.7994982576357346`*^9, 3.7994982665107927`*^9}, {3.799498608876613*^9, 
   3.799498627514166*^9}, {3.7995001111316833`*^9, 3.7995001150271826`*^9}, {
   3.799504836990512*^9, 3.7995048387118664`*^9}, {3.799506926760292*^9, 
   3.7995069817420444`*^9}, {3.7995703035571566`*^9, 
   3.7995703742682915`*^9}, {3.799913871304522*^9, 3.7999138722270775`*^9}, {
   3.799914196229898*^9, 3.799914228648941*^9}, {3.7999143996059055`*^9, 
   3.7999144033578587`*^9}, {3.7999156330595675`*^9, 
   3.7999157323200054`*^9}, {3.7999165755890512`*^9, 
   3.7999166997074347`*^9}, {3.799916745098012*^9, 3.7999167555979166`*^9}, {
   3.7999168020909076`*^9, 3.7999168285020857`*^9}, {3.800456693780612*^9, 
   3.800456721480896*^9}, {3.800456762319998*^9, 3.8004567761011906`*^9}, {
   3.8004952343085947`*^9, 3.8004952666956816`*^9}, {3.8004953145563183`*^9, 
   3.800495458652798*^9}, {3.800496038315424*^9, 3.8004960555304346`*^9}, 
   3.8187735351646156`*^9}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[SparseArray[Automatic, {200, 200}, 1., {1, {CompressedData["
1:eJzty7FKggEYheG3rLT+ytLSMrPMVnFxaHFyamkIGsIlnJqSaAm6ghDbQxDn
GhwbGoIIImhpcWoJu4MWqZBecO0S/OCBcw582Wpt/2QMeGF4z7pyOBiHdAh6
upmA00nYmYKBnsJwGYG9aYjNQFfXAVRm/ZmDdzXn4TAKiQV4U30RyjH4VicO
1SWIL8OjaglIJc06XoFgFW61m4JPXaxBNA1t5dfhTqUMPKi0YVd+E1oKsnCm
ropb0NCHCjk41736KmzDkerq6FU9felHvyMj//gDbOjBAA==
       "], CompressedData["
1:eJxTTMoPSmJiYGD4o8LAwAikmZhZWNnYOTi5uHl4+fgFBIWERUTFxCUkpaRl
ZOXkFRSVlFVU1dQ1NLW0dXT19A0MjYxNTM3MLSytrG1s7ewdHJ2cXVzd3D08
vbx9fP38AwKDgkNCw8IjIqOiY2Lj4hMSk5JTUtPSMzKzsnNy8/ILCouKS0rL
yisqq6prauvqGxqbmlta29o7Oru6e3r7+idMnDR5ytRp02fMnDV7ztx58xcs
XLR4ydJly1esXLV6zdp16zds3LR5y9Zt23fs3LV7z959+w8cPHT4yNFjx0+M
emPUG6PeGPXGqDfo5I1RXwweX4x6YrB4YtQPg8MPw8ALQ98HQ94DQ939Q9z5
Q9v1Q9rxQ9jpQ9flQ9XdQ9TZQ9LRQ9DJQ87BQ8y5Q8qxQ8ipQ8WdQ8OVQ8CJ
g919g9t1g9hpg9RZg9FNg85Bg8oxg8clg8MVA++CgbV94GweGFvpbiFdLaOX
PXSwgram08xgWphJXdOoZhAVjKBIM5naSNZAglJi1OCVxCGMzofRJwBC1P9e

       "]}, CompressedData["
1:eJztwbEJACAQBLBzFOEncgTB2v3B4tewSDL3XWckeRUAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAPtWlQgLL
      "]}], {{0, 0}, {200, 200}}, {0, 1}], {{}, {
     {RGBColor[1, 0, 0], AbsolutePointSize[6], AbsoluteThickness[1.6], 
      GeometricTransformationBox[InsetBox[
        StyleBox["\[FilledCircle]",
         StripOnInput->False,
         FontSize->5], {0., 0.}], CompressedData["
1:eJxV1mdQFAYaxvFVYvdECOQcRKXGgqhUEduDiPTe+xaWYgWkatTViI6ehSZn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       "]]}, {}}, {}, {}, {{}, {}}}},
  Axes->False,
  BaseStyle->{FontSize -> 18},
  Frame->True,
  FrameLabel->{None, None},
  FrameStyle->GrayLevel[0],
  FrameTicks->{{{{199.5, 
       FormBox["\"2.0\"", TraditionalForm]}, {100.5, 
       FormBox[
       "\"\\!\\(\\*\\nStyleBox[\\\"H\\\",\\nFontSlant->\\\"Italic\\\"]\\)/\\!\
\\(\\*\\nStyleBox[\\\"h\\\",\\nFontSlant->\\\"Italic\\\"]\\)\"", 
        TraditionalForm]}, {0.5, 
       FormBox["\"1.0\"", TraditionalForm]}}, None}, {{{0.5, 
       FormBox["\"0.0\"", TraditionalForm]}, {99.5, 
       FormBox[
       "\"\\!\\(\\*\\nStyleBox[\\\"J\\\",\\nFontSlant->\\\"Italic\\\"]\\)\\!\\\
(\\*\\nStyleBox[\\\"/\\\",\\nFontSlant->\\\"Italic\\\"]\\)\\!\\(\\*\\\
nStyleBox[\\\"h\\\",\\nFontSlant->\\\"Italic\\\"]\\)\"", TraditionalForm]}, {
      199.5, 
       FormBox["\"2.5\"", TraditionalForm]}}, None}},
  GridLines->None,
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  LabelStyle->{FontSize -> 18},
  Method->{
   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
    "DefaultPlotStyle" -> Automatic, "DomainPadding" -> Scaled[0.02], 
    "RangePadding" -> Scaled[0.05]},
  PlotRange->{{1, 200}, {0, 200}}]], "Output",
 CellChangeTimes->{
  3.799485307989045*^9, {3.799490195186434*^9, 3.7994902179420795`*^9}, 
   3.7994904244365625`*^9, {3.7994904630587544`*^9, 3.7994904716017294`*^9}, {
   3.79949625223251*^9, 3.7994962775189767`*^9}, {3.7994964886488776`*^9, 
   3.7994965090835094`*^9}, 3.799497269191866*^9, {3.799497628532235*^9, 
   3.799497655493566*^9}, 3.7994981848853693`*^9, 3.7994982676472697`*^9, {
   3.7994986190367928`*^9, 3.7994986308755884`*^9}, 3.7995048414160943`*^9, 
   3.7995048733626485`*^9, 3.799506936745864*^9, {3.7995069758456907`*^9, 
   3.799506982571076*^9}, {3.799570369102768*^9, 3.799570375656947*^9}, 
   3.799914184699507*^9, 3.7999142305917397`*^9, 3.799915697404398*^9, 
   3.7999157276176224`*^9, {3.799916578280667*^9, 3.7999165895447283`*^9}, 
   3.7999167512884445`*^9, {3.7999168236410804`*^9, 3.799916829696913*^9}, 
   3.800456732119962*^9, {3.8004567671740437`*^9, 3.800456781560526*^9}, 
   3.8004952724796233`*^9, {3.8004953373728447`*^9, 3.8004953796813636`*^9}, {
   3.800495412132166*^9, 3.800495459253311*^9}, 3.800496060027814*^9}]
}, Open  ]]
},
WindowSize->{681, 807},
WindowMargins->{{Automatic, 963}, {Automatic, 22}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 176, 2, 30, "Text"],
Cell[737, 24, 117, 2, 30, "Input"],
Cell[857, 28, 335, 9, 30, "Text"],
Cell[1195, 39, 3868, 107, 282, "Input"],
Cell[5066, 148, 1289, 43, 129, "Text"],
Cell[CellGroupData[{
Cell[6380, 195, 886, 25, 146, "Input"],
Cell[7269, 222, 1412, 24, 30, "Output"],
Cell[8684, 248, 2850, 70, 99, "Output"]
}, Open  ]],
Cell[11549, 321, 189, 4, 49, "Text"],
Cell[11741, 327, 4033, 88, 259, "Input"],
Cell[15777, 417, 680, 19, 32, "Text"],
Cell[CellGroupData[{
Cell[16482, 440, 1089, 17, 34, "Input"],
Cell[17574, 459, 1400, 19, 30, "Output"]
}, Open  ]],
Cell[18989, 481, 381, 11, 35, "Text"],
Cell[CellGroupData[{
Cell[19395, 496, 592, 14, 42, "Input"],
Cell[19990, 512, 541, 7, 30, "Output"]
}, Open  ]],
Cell[20546, 522, 206, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[20777, 530, 4374, 91, 211, "Input"],
Cell[25154, 623, 1443, 24, 50, "Output"],
Cell[26600, 649, 1191, 18, 30, "Output"]
}, Open  ]],
Cell[27806, 670, 98, 1, 30, "Text"],
Cell[27907, 673, 905, 18, 50, "Input"],
Cell[28815, 693, 115, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[28955, 698, 8145, 199, 437, "Input"],
Cell[37103, 899, 6344, 116, 337, "Output"]
}, Open  ]]
}
]
*)

