(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     46711,       1090]
NotebookOptionsPosition[     45341,       1043]
NotebookOutlinePosition[     45690,       1058]
CellTagsIndexPosition[     45647,       1055]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[TextData[StyleBox["This notebook computes the basin plot figure 2(b).",
 FontSlant->"Italic"]], "Text",
 CellChangeTimes->{
  3.8187735725438395`*^9, {3.8187736672705326`*^9, 3.8187736674940805`*^9}}],

Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.79946872242406*^9, 3.799468723295783*^9}}],

Cell[TextData[{
 "Dynamical system in single fluid (e.o.s. ",
 Cell[BoxData[
  FormBox[
   RowBox[{"w", ">", 
    RowBox[{"-", "1"}]}], TraditionalForm]]],
 ") self-tuning generalized cubic Galileon"
}], "Text",
 CellChangeTimes->{{3.7993677902257767`*^9, 3.7993678159381433`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"eq1", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "\[Prime]",
      MultilineFunction->None], "[", "\[Tau]", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"-", "3"}], " ", 
     RowBox[{"x", "[", "\[Tau]", "]"}], " ", 
     RowBox[{"y", "[", "\[Tau]", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq2", "=", 
   RowBox[{
    RowBox[{
     SuperscriptBox["y", "\[Prime]",
      MultilineFunction->None], "[", "\[Tau]", "]"}], "\[Equal]", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", 
                 RowBox[{"2", " ", "n"}]}], ")"}], " ", "w"}]}], ")"}], " ", 
            "\[Beta]", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox["2", 
                    RowBox[{"1", "-", "n"}]], " ", "n", " ", "\[Beta]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}]}], 
                  RowBox[{"x", "[", "\[Tau]", "]"}]]}], ")"}], 
               FractionBox["2", 
                RowBox[{"1", "-", 
                 RowBox[{"2", " ", "n"}]}]]], ")"}], "n"], " ", 
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"2", " ", "n"}], "+", 
              RowBox[{"2", " ", "n", " ", 
               RowBox[{"y", "[", "\[Tau]", "]"}]}]}], ")"}]}], "+", 
           RowBox[{"3", " ", 
            SuperscriptBox["2", "n"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", "w"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "\[Lambda]"}], "+", 
              SuperscriptBox[
               RowBox[{"y", "[", "\[Tau]", "]"}], "2"]}], ")"}]}]}], ")"}]}], 
        ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            SuperscriptBox["2", "n"], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"2", " ", "n"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}]}], "+", 
           RowBox[{"n", " ", "\[Beta]", " ", 
            SuperscriptBox[
             RowBox[{"(", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{
                   SuperscriptBox["2", 
                    RowBox[{"1", "-", "n"}]], " ", "n", " ", "\[Beta]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "+", 
                    RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}]}], 
                  RowBox[{"x", "[", "\[Tau]", "]"}]]}], ")"}], 
               FractionBox["2", 
                RowBox[{"1", "-", 
                 RowBox[{"2", " ", "n"}]}]]], ")"}], "n"]}]}], ")"}]}], 
        ")"}]}], ")"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.79936782285003*^9, 3.7993678403224497`*^9}}],

Cell[TextData[{
 StyleBox["Theoretical constraint",
  FontVariations->{"Underline"->True}],
 " on ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]],
  FontVariations->{"Underline"->False}],
 " and \[Lambda]: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", 
      RowBox[{"\[Lambda]", "-", "1"}]]}], "<", "n", "<", "0"}], 
   TraditionalForm]]],
 "\n\nWe consider the special case ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", 
    RowBox[{"-", "2"}]}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Lambda]", "=", 
    FractionBox["7", "5"]}], TraditionalForm]]],
 " (with ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Beta]", "=", "1"}], TraditionalForm]]],
 "). For this, it is informative to see the region of phase space that leads \
to either one of the de Sitter states (",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", "1"}], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", 
    SqrtBox["\[Lambda]"]}], TraditionalForm]]],
 "). We setup the field equations below..."
}], "Text",
 CellChangeTimes->{{3.799367921081956*^9, 3.799367945829257*^9}, {
  3.799367985741125*^9, 3.7993680185702553`*^9}, {3.7994658097905855`*^9, 
  3.799465826320404*^9}, {3.799465861010296*^9, 3.79946594901268*^9}, {
  3.7999169778198*^9, 3.799916986029499*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"sc2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"n", "\[Rule]", 
      RowBox[{"-", "2"}]}], ",", 
     RowBox[{"\[Lambda]", "\[Rule]", 
      FractionBox["7", "5"]}], ",", 
     RowBox[{"\[Beta]", "\[Rule]", "1"}], ",", 
     RowBox[{"w", "\[Rule]", "0"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eq1sc2", "=", 
   RowBox[{
    RowBox[{"eq1", "/.", "sc2"}], "//", "Simplify"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"eq2sc2", "=", 
    RowBox[{
     RowBox[{"eq2", "/.", "sc2"}], "//", "Simplify"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", "eq1sc2", "\
\[IndentingNewLine]", "eq2sc2"}], "Input",
 CellChangeTimes->{{3.799465950475954*^9, 3.799466062638166*^9}, {
  3.7994964040192804`*^9, 3.7994964049376926`*^9}, {3.7994965514193044`*^9, 
  3.7994965520886745`*^9}, {3.799917043086338*^9, 3.7999170432797813`*^9}, {
  3.7999171425332203`*^9, 3.7999171704820595`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["x", "\[Prime]",
    MultilineFunction->None], "[", "\[Tau]", "]"}], "\[Equal]", 
  RowBox[{
   RowBox[{"-", "3"}], " ", 
   RowBox[{"x", "[", "\[Tau]", "]"}], " ", 
   RowBox[{"y", "[", "\[Tau]", "]"}]}]}]], "Output",
 CellChangeTimes->{{3.7994660183110137`*^9, 3.7994660636679354`*^9}, 
   3.799467384724436*^9, 3.7994687302733684`*^9, 3.799469859436288*^9, 
   3.799472154689889*^9, 3.799473075066059*^9, 3.799474991393547*^9, 
   3.799475605596938*^9, {3.79947575282122*^9, 3.7994757590530276`*^9}, 
   3.799476529423132*^9, 3.7994767708255196`*^9, 3.799477408280404*^9, 
   3.799478711487094*^9, 3.79947901584379*^9, 3.799479383060581*^9, 
   3.799479942577973*^9, 3.7994813799619465`*^9, 3.7994824216042013`*^9, 
   3.7994834236431723`*^9, 3.799483822707364*^9, 3.7994839520828395`*^9, 
   3.7994854536786795`*^9, 3.799485713007429*^9, 3.7994863263996286`*^9, 
   3.799489066990416*^9, 3.799489482756562*^9, 3.7994901580132837`*^9, 
   3.7994963187954607`*^9, {3.7994963996914535`*^9, 3.7994964061203527`*^9}, 
   3.7994965568092346`*^9, 3.79949999937934*^9, 3.7995042439755926`*^9, 
   3.799504864129284*^9, 3.7995062764499073`*^9, 3.799508187081496*^9, 
   3.7995082782328215`*^9, 3.7995702878118954`*^9, 3.799913722533667*^9, 
   3.7999142939295197`*^9, 3.799916713444682*^9, {3.7999171710365744`*^9, 
   3.7999171832041655`*^9}, 3.799921695208763*^9, 3.7999241248407335`*^9, 
   3.8004568160888653`*^9, 3.8004955815188017`*^9, 3.8187736440579977`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["y", "\[Prime]",
    MultilineFunction->None], "[", "\[Tau]", "]"}], "\[Equal]", 
  RowBox[{"-", 
   FractionBox[
    RowBox[{"12", " ", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"y", "[", "\[Tau]", "]"}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"-", "5"}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"y", "[", "\[Tau]", "]"}]}]}], 
        RowBox[{"8", " ", 
         SuperscriptBox["2", 
          RowBox[{"1", "/", "5"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           FractionBox[
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"y", "[", "\[Tau]", "]"}]}], 
            RowBox[{"x", "[", "\[Tau]", "]"}]], ")"}], 
          RowBox[{"4", "/", "5"}]]}]], "-", 
       RowBox[{
        FractionBox["3", "4"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "7"}], "+", 
          RowBox[{"5", " ", 
           SuperscriptBox[
            RowBox[{"y", "[", "\[Tau]", "]"}], "2"]}]}], ")"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"-", "30"}], "-", 
     FractionBox[
      SuperscriptBox["2", 
       RowBox[{"4", "/", "5"}]], 
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"y", "[", "\[Tau]", "]"}]}], 
         RowBox[{"x", "[", "\[Tau]", "]"}]], ")"}], 
       RowBox[{"4", "/", "5"}]]], "+", 
     RowBox[{"30", " ", 
      RowBox[{"y", "[", "\[Tau]", "]"}]}]}]]}]}]], "Output",
 CellChangeTimes->{{3.7994660183110137`*^9, 3.7994660636679354`*^9}, 
   3.799467384724436*^9, 3.7994687302733684`*^9, 3.799469859436288*^9, 
   3.799472154689889*^9, 3.799473075066059*^9, 3.799474991393547*^9, 
   3.799475605596938*^9, {3.79947575282122*^9, 3.7994757590530276`*^9}, 
   3.799476529423132*^9, 3.7994767708255196`*^9, 3.799477408280404*^9, 
   3.799478711487094*^9, 3.79947901584379*^9, 3.799479383060581*^9, 
   3.799479942577973*^9, 3.7994813799619465`*^9, 3.7994824216042013`*^9, 
   3.7994834236431723`*^9, 3.799483822707364*^9, 3.7994839520828395`*^9, 
   3.7994854536786795`*^9, 3.799485713007429*^9, 3.7994863263996286`*^9, 
   3.799489066990416*^9, 3.799489482756562*^9, 3.7994901580132837`*^9, 
   3.7994963187954607`*^9, {3.7994963996914535`*^9, 3.7994964061203527`*^9}, 
   3.7994965568092346`*^9, 3.79949999937934*^9, 3.7995042439755926`*^9, 
   3.799504864129284*^9, 3.7995062764499073`*^9, 3.799508187081496*^9, 
   3.7995082782328215`*^9, 3.7995702878118954`*^9, 3.799913722533667*^9, 
   3.7999142939295197`*^9, 3.799916713444682*^9, {3.7999171710365744`*^9, 
   3.7999171832041655`*^9}, 3.799921695208763*^9, 3.7999241248407335`*^9, 
   3.8004568160888653`*^9, 3.8004955815188017`*^9, 3.818773644073577*^9}]
}, Open  ]],

Cell["\<\
To check in which attractor the dynamical system tends to at late times, we \
setup the function...\
\>", "Text",
 CellChangeTimes->{{3.799466166054122*^9, 3.799466193205759*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"check", " ", "late", " ", "time"}], ",", " ", 
    RowBox[{
     RowBox[{"H", "/", "h"}], "=", 
     RowBox[{
      SqrtBox["\[Lambda]"], " ", "\[Rule]", " ", "0"}]}], ",", " ", 
    RowBox[{
     RowBox[{"1", ":", " ", 
      RowBox[{"H", "/", "h"}]}], "=", 
     RowBox[{"1", " ", "\[Rule]", " ", "1"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"CheckLT", "[", 
    RowBox[{
    "x0_", ",", "y0_", ",", "MinT_", ",", "MaxT_", ",", "\[Epsilon]_"}], 
    "]"}], ":=", 
   RowBox[{"Catch", "[", 
    RowBox[{"(*", 
     RowBox[{
      RowBox[{
      "Check", " ", "evaluates", " ", "the", " ", "first", " ", "input"}], 
      ",", " ", 
      RowBox[{
      "and", " ", "outputs", " ", "the", " ", "second", " ", "input", " ", 
       "when", " ", "the", " ", "error", " ", "message", " ", "in", " ", 
       "the", " ", "third", " ", "input", " ", "is", " ", "encountered"}]}], 
     "*)"}], 
    RowBox[{
     RowBox[{"Check", "[", 
      RowBox[{
       RowBox[{"NDSolve", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"eq1sc2", ",", "eq2sc2", ",", 
           RowBox[{
            RowBox[{"x", "[", "MinT", "]"}], "\[Equal]", "x0"}], ",", 
           RowBox[{
            RowBox[{"y", "[", "MinT", "]"}], "\[Equal]", "y0"}], ",", 
           RowBox[{"WhenEvent", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"Re", "[", 
               RowBox[{
                RowBox[{"y", "[", "\[Tau]", "]"}], "-", "1"}], "]"}], "<", 
              "\[Epsilon]"}], ",", 
             RowBox[{"Throw", "[", "1", "]"}]}], "]"}], ",", 
           RowBox[{"WhenEvent", "[", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"-", "\[Epsilon]"}], "<", 
               RowBox[{"Re", "[", 
                RowBox[{
                 RowBox[{"y", "[", "\[Tau]", "]"}], "-", 
                 SqrtBox["\[Lambda]"]}], "]"}], "<", "\[Epsilon]"}], "/.", 
              "sc2"}], ",", 
             RowBox[{"Throw", "[", "0", "]"}]}], "]"}]}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Tau]", ",", "MinT", ",", "MaxT"}], "}"}]}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Throw", "[", "2", "]"}], ",", 
       RowBox[{"NDSolve", "::", "ndsz"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Throw", "[", "3", "]"}], ";"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.799466205463842*^9, 3.799466244719797*^9}, {
   3.799466275809084*^9, 3.799466463633244*^9}, {3.799466519458193*^9, 
   3.7994665196355224`*^9}, {3.799466566455367*^9, 3.799466604517524*^9}, {
   3.799466802578038*^9, 3.7994668027760897`*^9}, {3.7994669630678596`*^9, 
   3.799466967207504*^9}, {3.799467157899048*^9, 3.799467163194708*^9}, {
   3.799467218205207*^9, 3.799467218720845*^9}, {3.7994672491989846`*^9, 
   3.799467292753516*^9}, {3.799468856666789*^9, 3.7994688946079226`*^9}, {
   3.7994689675340176`*^9, 3.7994689709087114`*^9}, {3.799469105883318*^9, 
   3.7994691897396517`*^9}, {3.799470005736136*^9, 3.799470005920725*^9}, {
   3.799470424998167*^9, 3.7994704254200563`*^9}, {3.799470466591407*^9, 
   3.799470466888146*^9}, {3.7994707399159393`*^9, 3.799470747604072*^9}, {
   3.799472043045761*^9, 3.799472211881359*^9}, {3.7994722898178864`*^9, 
   3.7994722964419627`*^9}, {3.799473231429326*^9, 3.7994732384082265`*^9}, {
   3.7994746613323116`*^9, 3.7994746634532423`*^9}, 3.7994752685109625`*^9, {
   3.799483830010846*^9, 3.7994838759367256`*^9}, {3.799484144328905*^9, 
   3.799484146644809*^9}, {3.7994842127843447`*^9, 3.799484213666689*^9}, 
   3.799485264524499*^9, {3.799486335594219*^9, 3.799486345841133*^9}, {
   3.7994901370771556`*^9, 3.7994901404502654`*^9}, {3.7994902652126017`*^9, 
   3.7994902694849195`*^9}, {3.799490312749957*^9, 3.799490337370158*^9}, {
   3.7994966390237417`*^9, 3.7994966511963654`*^9}, {3.799496708319071*^9, 
   3.7994967219403286`*^9}, {3.7999172006737576`*^9, 3.7999172188272305`*^9}}],

Cell[TextData[{
 "For instance, we can use this to show that the initial condition ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      SubscriptBox["x", "0"], "=", "1.1"}], ",", " ", 
     RowBox[{
      SubscriptBox["y", "0"], "=", "1.1"}]}], ")"}], TraditionalForm]]],
 " leads to the self-tuned de Sitter state, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "/", "h"}], "=", "1"}], TraditionalForm]]],
 "..."
}], "Text",
 CellChangeTimes->{{3.7994689789597816`*^9, 3.7994690269377394`*^9}, {
  3.7994690903720684`*^9, 3.799469103826058*^9}, {3.7994692026780415`*^9, 
  3.799469221137151*^9}, {3.799483998211568*^9, 3.799483999472467*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckLT", "[", 
  RowBox[{"1.1", ",", "1.1", ",", "0", ",", "10", ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "5"}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.799466484319785*^9, 3.7994665119430747`*^9}, {
  3.799467021818784*^9, 3.799467023380924*^9}, {3.799467304290719*^9, 
  3.7994673047907324`*^9}, {3.7994705862708735`*^9, 3.7994705886757903`*^9}, {
  3.7994707703186054`*^9, 3.7994707708968897`*^9}, {3.799470906513772*^9, 
  3.7994709253320775`*^9}, {3.7994709766184793`*^9, 3.799471001784707*^9}, {
  3.799472219719482*^9, 3.7994722202977047`*^9}, {3.799472302909221*^9, 
  3.799472306511809*^9}, {3.7994727554499736`*^9, 3.799472783529219*^9}, {
  3.7994729920967693`*^9, 3.7994729957716208`*^9}, {3.7994730969809847`*^9, 
  3.7994731148745503`*^9}, {3.799474679141762*^9, 3.7994746819940586`*^9}, {
  3.799482542879704*^9, 3.799482543005602*^9}, {3.7994841795267754`*^9, 
  3.7994841825423317`*^9}, {3.79948662020918*^9, 3.799486622452814*^9}, {
  3.7994867034188213`*^9, 3.7994867089072447`*^9}, {3.7995042852528715`*^9, 
  3.7995043025092936`*^9}}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{{3.7994665123921757`*^9, 3.799466522675799*^9}, 
   3.799466586629105*^9, {3.7994670119482303`*^9, 3.799467027051768*^9}, 
   3.799467184187403*^9, 3.7994673058840513`*^9, 3.7994673910354676`*^9, 
   3.7994688676857996`*^9, 3.799468916272732*^9, 3.7994692237425547`*^9, 
   3.7994698646312313`*^9, 3.7994700173341*^9, 3.799470474724866*^9, 
   3.799470589239274*^9, {3.799470762153037*^9, 3.799470771665533*^9}, 
   3.799470907583099*^9, {3.7994709782143726`*^9, 3.79947100260142*^9}, {
   3.799472188385255*^9, 3.79947222076888*^9}, 3.7994723069821606`*^9, {
   3.799472764175284*^9, 3.799472784131164*^9}, {3.799472993146044*^9, 
   3.799472996226941*^9}, {3.7994730818487883`*^9, 3.7994731160447474`*^9}, {
   3.7994746745695896`*^9, 3.799474682766404*^9}, 3.799474998711201*^9, 
   3.799475612713194*^9, 3.799476540608686*^9, 3.7994790301196938`*^9, 
   3.799482434744218*^9, 3.7994825433626604`*^9, 3.7994834428933754`*^9, {
   3.7994838482268753`*^9, 3.7994838790121813`*^9}, {3.7994841673114495`*^9, 
   3.7994841832308054`*^9}, 3.799484217160654*^9, 3.799486386528474*^9, {
   3.7994866161784143`*^9, 3.799486622858655*^9}, {3.7994867054086766`*^9, 
   3.7994867093999414`*^9}, 3.7994901648427396`*^9, 3.79949641560003*^9, 
   3.79949656324002*^9, 3.799496683320526*^9, {3.799504280182007*^9, 
   3.7995043031298456`*^9}, 3.799506283055451*^9, {3.7999171948645134`*^9, 
   3.7999172276327133`*^9}}]
}, Open  ]],

Cell[TextData[{
 "Checking the vicinity of the other de Sitter state, ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"H", "/", "h"}], "=", 
    SqrtBox["\[Lambda]"]}], TraditionalForm]]],
 "..."
}], "Text",
 CellChangeTimes->{{3.799482460432*^9, 3.7994824737139273`*^9}, {
  3.7994834331438046`*^9, 3.799483436813198*^9}, {3.7994839749226413`*^9, 
  3.7994840164792557`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CheckLT", "[", 
  RowBox[{"0.7", ",", 
   RowBox[{
    RowBox[{"(", 
     SqrtBox["\[Lambda]"], ")"}], "/.", "sc2"}], ",", "0", ",", "10", ",", 
   SuperscriptBox["10", 
    RowBox[{"-", "7"}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.7994824834805293`*^9, 3.799482539998718*^9}, {
  3.7994834473492146`*^9, 3.799483447541686*^9}, {3.7994841909708605`*^9, 
  3.799484197226902*^9}, {3.7994902381380405`*^9, 3.7994902409521236`*^9}, {
  3.799504312076605*^9, 3.7995043165360975`*^9}, {3.7995062889689097`*^9, 
  3.7995062891641145`*^9}, {3.799917233837287*^9, 3.799917256051859*^9}, {
  3.799921373935438*^9, 3.7999213820676823`*^9}, {3.7999214192512817`*^9, 
  3.7999214278195143`*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.7994824920575495`*^9, 3.799482540484599*^9}, {
   3.7994834450855713`*^9, 3.799483448081583*^9}, {3.7994838722231817`*^9, 
   3.799483881441553*^9}, 3.7994839584519343`*^9, 3.799484019447973*^9, {
   3.7994841981077647`*^9, 3.799484219179305*^9}, 3.7994901666495504`*^9, 
   3.799490242981777*^9, 3.7994903917965174`*^9, 3.7994964177600384`*^9, 
   3.799496565691359*^9, 3.7994966853448095`*^9, {3.79950430628937*^9, 
   3.799504317057817*^9}, {3.799506284521395*^9, 3.799506289671774*^9}, {
   3.799917230587778*^9, 3.799917256538555*^9}, {3.7999213760518866`*^9, 
   3.799921382652193*^9}, {3.7999214225134892`*^9, 3.799921428412701*^9}}]
}, Open  ]],

Cell["\<\
To make better use of this, we construct the following picture...\
\>", "Text",
 CellChangeTimes->{{3.799469228434533*^9, 3.7994692399670553`*^9}, {
  3.799469282305774*^9, 3.799469282422127*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"pixels", "=", "200"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Eta]", "=", 
    SuperscriptBox["10", 
     RowBox[{"-", "5"}]]}], 
   RowBox[{"(*", 
    RowBox[{"added", " ", "for", " ", "renormalization"}], "*)"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"basins", " ", "=", " ", 
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"CheckLT", "[", 
         RowBox[{"x0", ",", "y0", ",", "0", ",", "10", ",", 
          SuperscriptBox["10", 
           RowBox[{"-", "7"}]]}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"y0", ",", 
          RowBox[{"Reverse", "[", 
           RowBox[{"Subdivide", "[", 
            RowBox[{
             RowBox[{"1", "+", "\[Eta]"}], ",", "2", ",", "pixels"}], "]"}], 
           "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"x0", ",", 
          RowBox[{"Subdivide", "[", 
           RowBox[{"\[Eta]", ",", "5", ",", "pixels"}], "]"}]}], "}"}]}], 
       "]"}]}], ";"}], "//", "Timing"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "uncomment", " ", "next", " ", "lines", " ", "to", " ", "increase", " ", 
    "speed", " ", "by", " ", "using", " ", "more", " ", "CPU"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"LaunchKernels", "[", "3", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"basins", " ", "=", " ", 
    RowBox[{"ParallelTable", "[", 
     RowBox[{
      RowBox[{"CheckLT", "[", 
       RowBox[{"x0", ",", "y0", ",", "0", ",", "10", ",", 
        SuperscriptBox["10", 
         RowBox[{"-", "7"}]]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"y0", ",", 
        RowBox[{"Reverse", "[", 
         RowBox[{"Subdivide", "[", 
          RowBox[{
           RowBox[{"1", "+", "\[Eta]"}], ",", 
           FractionBox["13", "10"], ",", "pixels"}], "]"}], "]"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"x0", ",", 
        RowBox[{"Subdivide", "[", 
         RowBox[{"\[Eta]", ",", 
          FractionBox["65", "100"], ",", "pixels"}], "]"}]}], "}"}]}], 
     "]"}]}], ";"}], "//", "Timing"}]}], "Input",
 CellChangeTimes->{{3.799469311050742*^9, 3.7994693975257435`*^9}, 
   3.799469474599778*^9, {3.799469516968566*^9, 3.7994695549367533`*^9}, {
   3.7994696439384656`*^9, 3.799469644470704*^9}, {3.799470932860795*^9, 
   3.7994709396522193`*^9}, {3.7994710621807375`*^9, 
   3.7994710890453405`*^9}, {3.799472312501293*^9, 3.7994723127696285`*^9}, {
   3.799472824381323*^9, 3.7994728839549575`*^9}, {3.7994730017763977`*^9, 
   3.799473002247095*^9}, {3.7994731205853043`*^9, 3.7994731281381865`*^9}, {
   3.7994732937232533`*^9, 3.7994732939456015`*^9}, {3.7994738150730953`*^9, 
   3.7994738185419006`*^9}, {3.799474064149335*^9, 3.799474064874298*^9}, {
   3.7994752751943502`*^9, 3.799475275363433*^9}, {3.7994753371986375`*^9, 
   3.799475338061578*^9}, 3.7994755874595804`*^9, {3.7994757751615486`*^9, 
   3.7994757965049987`*^9}, {3.7994761382871256`*^9, 
   3.7994761501487646`*^9}, {3.7994762608555393`*^9, 3.799476272440155*^9}, {
   3.7994763304392605`*^9, 3.7994763477294397`*^9}, {3.799476488003662*^9, 
   3.799476493409194*^9}, {3.799476545128705*^9, 3.7994765511786165`*^9}, {
   3.7994766704041567`*^9, 3.7994766705813675`*^9}, {3.799477357755252*^9, 
   3.799477395176491*^9}, {3.799478148552749*^9, 3.7994782183387513`*^9}, {
   3.7994789930511923`*^9, 3.7994790015322285`*^9}, {3.799479046320589*^9, 
   3.799479073592271*^9}, {3.7994793662190075`*^9, 3.7994793672903967`*^9}, {
   3.7994796041304245`*^9, 3.7994796084348707`*^9}, {3.7994797873155537`*^9, 
   3.79947981898549*^9}, {3.799479962538014*^9, 3.799479962755914*^9}, {
   3.7994800282221966`*^9, 3.7994800636568103`*^9}, {3.7994838869373074`*^9, 
   3.7994838873726068`*^9}, {3.7994842458467617`*^9, 3.799484248243361*^9}, {
   3.799484383845482*^9, 3.799484385449875*^9}, {3.799490170591013*^9, 
   3.799490176400813*^9}, {3.799490450162208*^9, 3.7994904503435373`*^9}, 
   3.7994965709394736`*^9, {3.799496695244844*^9, 3.7994966975722075`*^9}, {
   3.7994967646987667`*^9, 3.799496771461863*^9}, {3.7994990987214828`*^9, 
   3.799499102744523*^9}, {3.7994992504487*^9, 3.799499296427805*^9}, {
   3.799506259912218*^9, 3.7995062623222837`*^9}, {3.799506296734*^9, 
   3.799506346938848*^9}, {3.799913791964772*^9, 3.7999138080547266`*^9}, {
   3.7999214012164555`*^9, 3.7999214360293255`*^9}, {3.799921707209595*^9, 
   3.7999217129682693`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"\<\"KernelObject\"\>", "[", 
    RowBox[{"1", ",", "\<\"local\"\>"}], "]"}], ",", 
   RowBox[{"\<\"KernelObject\"\>", "[", 
    RowBox[{"2", ",", "\<\"local\"\>"}], "]"}], ",", 
   RowBox[{"\<\"KernelObject\"\>", "[", 
    RowBox[{"3", ",", "\<\"local\"\>"}], "]"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7994695408531837`*^9, 3.799469579121796*^9, 3.7994708053270073`*^9, 
   3.7994711364618955`*^9, 3.799472278225257*^9, 3.7994723760637636`*^9, {
   3.7994728545022907`*^9, 3.7994728774772053`*^9}, 3.7994730265299397`*^9, 
   3.7994731343403234`*^9, 3.7994732139863205`*^9, 3.7994732491264553`*^9, 
   3.799473300968794*^9, 3.7994740713666987`*^9, 3.7994746940588975`*^9, 
   3.7994750106983624`*^9, 3.799475290257515*^9, 3.799475345335422*^9, 
   3.7994756188729477`*^9, 3.799475785062205*^9, 3.799475889398983*^9, 
   3.799476189296694*^9, 3.7994762840642242`*^9, 3.7994763543662615`*^9, 
   3.7994764985632796`*^9, 3.7994766682285056`*^9, 3.799476956108756*^9, 
   3.7994774506049037`*^9, 3.7994790824452977`*^9, 3.799479392013372*^9, 
   3.799479929431093*^9, 3.7994800780312047`*^9, 3.799483892302457*^9, 
   3.799483922391223*^9, 3.7994840277130337`*^9, 3.7994842852892733`*^9, 
   3.7994852284629583`*^9, 3.799490186993246*^9, 3.7994904191683817`*^9, 
   3.7994904589372735`*^9, 3.7994964703219204`*^9, 3.799496786005297*^9, 
   3.7995063616501226`*^9, 3.799913820372776*^9, 3.799921447159196*^9, 
   3.799921715415635*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.3125`", ",", "Null"}], "}"}]], "Output",
 CellChangeTimes->{
  3.7994695408531837`*^9, 3.799469579121796*^9, 3.7994708053270073`*^9, 
   3.7994711364618955`*^9, 3.799472278225257*^9, 3.7994723760637636`*^9, {
   3.7994728545022907`*^9, 3.7994728774772053`*^9}, 3.7994730265299397`*^9, 
   3.7994731343403234`*^9, 3.7994732139863205`*^9, 3.7994732491264553`*^9, 
   3.799473300968794*^9, 3.7994740713666987`*^9, 3.7994746940588975`*^9, 
   3.7994750106983624`*^9, 3.799475290257515*^9, 3.799475345335422*^9, 
   3.7994756188729477`*^9, 3.799475785062205*^9, 3.799475889398983*^9, 
   3.799476189296694*^9, 3.7994762840642242`*^9, 3.7994763543662615`*^9, 
   3.7994764985632796`*^9, 3.7994766682285056`*^9, 3.799476956108756*^9, 
   3.7994774506049037`*^9, 3.7994790824452977`*^9, 3.799479392013372*^9, 
   3.799479929431093*^9, 3.7994800780312047`*^9, 3.799483892302457*^9, 
   3.799483922391223*^9, 3.7994840277130337`*^9, 3.7994842852892733`*^9, 
   3.7994852284629583`*^9, 3.799490186993246*^9, 3.7994904191683817`*^9, 
   3.7994904589372735`*^9, 3.7994964703219204`*^9, 3.799496786005297*^9, 
   3.7995063616501226`*^9, 3.799913820372776*^9, 3.799921447159196*^9, 
   3.799921851277184*^9}]
}, Open  ]],

Cell["Save result...", "Text",
 CellChangeTimes->{{3.7994767838557367`*^9, 3.799476785741356*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"SetDirectory", "[", 
    RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";", 
   "\[IndentingNewLine]", 
   RowBox[{"DumpSave", "[", 
    RowBox[{"\"\<basinsSC2_result.m\>\"", ",", 
     RowBox[{"{", 
      RowBox[{"basins", ",", "pixels"}], "}"}]}], "]"}], ";"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.79947683859332*^9, 3.7994768635024433`*^9}, {
  3.799477139895399*^9, 3.799477142391914*^9}, {3.7994781279748135`*^9, 
  3.7994781381730857`*^9}, {3.7994792577935715`*^9, 3.799479260558239*^9}, {
  3.799480081013904*^9, 3.7994800832599773`*^9}, {3.7994809442570906`*^9, 
  3.79948094674358*^9}, {3.79949730716016*^9, 3.7994973252207394`*^9}, {
  3.799507008793637*^9, 3.7995070113927712`*^9}, {3.7995702982625666`*^9, 
  3.7995703007945313`*^9}, {3.799913820287002*^9, 3.799913857824582*^9}, {
  3.7999141736270556`*^9, 3.799914176010863*^9}, {3.799921552926837*^9, 
  3.7999215579843082`*^9}, {3.799924084054471*^9, 3.79992410819888*^9}}],

Cell["We can plot the result below...", "Text",
 CellChangeTimes->{{3.7994696079911785`*^9, 3.799469614985167*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "\"\<basinsSC2_result.m\>\"", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AttractorColors", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"0", "\[Rule]", "White"}], ",", 
     RowBox[{"1", 
      RowBox[{"(*", 
       RowBox[{"self", " ", "tuned", " ", "dS"}], "*)"}], "\[Rule]", 
      "Black"}], ",", 
     RowBox[{"2", "\[Rule]", "Blue"}], 
     RowBox[{"(*", 
      RowBox[{"unexpected", " ", "quitting"}], "*)"}], ",", 
     RowBox[{"3", "\[Rule]", "Blue"}]}], " ", 
    RowBox[{"(*", 
     RowBox[{
     "completed", " ", "without", " ", "error", " ", "or", " ", "event"}], 
     "*)"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", 
   RowBox[{"MatrixPlot", "[", 
    RowBox[{"basins", ",", 
     RowBox[{"ColorRules", "\[Rule]", "AttractorColors"}], ",", 
     RowBox[{"PlotTheme", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Scientific\>\"", ",", "\"\<Monochrome\>\""}], "}"}]}], 
     ",", 
     RowBox[{"FrameTicks", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "\"\<1.30\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"pixels", "/", "2"}], ",", "\"\<\!\(\*
StyleBox[\"H\",
FontSlant->\"Italic\"]\)/\!\(\*
StyleBox[\"h\",
FontSlant->\"Italic\"]\)\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"pixels", ",", "\"\<1.00\>\""}], "}"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"1", ",", "\"\<0.0\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"pixels", "/", "2"}], ",", "\"\<\!\(\*
StyleBox[\"J\",
FontSlant->\"Italic\"]\)/\!\(\*
StyleBox[\"h\",
FontSlant->\"Italic\"]\)\>\""}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"pixels", " ", 
             FractionBox["60", "65"]}], ",", "\"\<0.6\>\""}], "}"}]}], 
         "}"}]}], "}"}]}], 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"ImageSize", "\[Rule]", "500"}]}], "*)"}], ",", 
     RowBox[{"BaseStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "17"}], "}"}]}], ",", 
     RowBox[{"LabelStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"FontSize", "\[Rule]", "17"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"1", ",", "pixels"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"1", ",", "pixels"}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zfun", "=", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"eq2sc2", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "//", "Denominator"}], ")"}], "/.", 
         RowBox[{
          RowBox[{"y", "[", "\[Tau]", "]"}], "\[Rule]", 
          RowBox[{
           RowBox[{"z", "[", "\[Tau]", "]"}], "+", "1"}]}]}], ")"}], 
       "\[Equal]", "0"}], ",", 
      RowBox[{"z", "[", "\[Tau]", "]"}]}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pfun", "[", "x_", "]"}], "=", 
   RowBox[{"p", "/.", 
    RowBox[{
     RowBox[{"NSolve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"z", "[", "\[Tau]", "]"}], "+", "1"}], "/.", "zfun"}], "/.", 
          RowBox[{
           RowBox[{"x", "[", "\[Tau]", "]"}], "\[Rule]", "x"}]}], ")"}], 
        "\[Equal]", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"p", 
           RowBox[{"(", 
            FractionBox[
             RowBox[{
              RowBox[{"(", 
               RowBox[{"3", "/", "10"}], ")"}], 
              RowBox[{"(*", "\[CapitalDelta]y", "*)"}]}], "pixels"], 
            ")"}]}]}], ")"}]}], ",", "p"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pfunTab", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"pfun", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"Subdivide", "[", 
        RowBox[{"0", ",", 
         FractionBox["65", "100"], ",", "pixels"}], "]"}]}], "}"}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pfunPlot", "=", 
    RowBox[{"ListPlot", "[", 
     RowBox[{"pfunTab", ",", 
      RowBox[{"PlotMarkers", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"{", 
         RowBox[{"\[FilledCircle]", ",", "5"}], "}"}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"{", "Red", "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"p1", ",", "pfunPlot"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "pixels"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "pixels"}], "}"}]}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.799469657973215*^9, 3.7994696582053633`*^9}, {
   3.799469696327762*^9, 3.799469696527147*^9}, {3.7994697540176525`*^9, 
   3.7994698216293135`*^9}, {3.7994747153450394`*^9, 3.799474715560848*^9}, {
   3.7994750160505095`*^9, 3.7994750227003574`*^9}, 3.799475308401591*^9, 
   3.7994755693274593`*^9, {3.799476102164316*^9, 3.799476112040333*^9}, {
   3.799476239429865*^9, 3.7994762529520564`*^9}, {3.7994763813466744`*^9, 
   3.799476383623168*^9}, {3.7994764376419115`*^9, 3.7994764467995176`*^9}, {
   3.7994766735179915`*^9, 3.7994766736807137`*^9}, {3.7994771160787964`*^9, 
   3.7994771541258497`*^9}, {3.799478266053131*^9, 3.7994782718079615`*^9}, {
   3.7994784857238092`*^9, 3.7994785564963565`*^9}, {3.799479271385696*^9, 
   3.799479271702714*^9}, {3.7994795497978315`*^9, 3.799479552199054*^9}, {
   3.7994809741447244`*^9, 3.7994809758024025`*^9}, {3.799481132031929*^9, 
   3.7994811981978517`*^9}, {3.799481239119517*^9, 3.7994812602804193`*^9}, {
   3.7994813017456574`*^9, 3.7994813042894883`*^9}, {3.799481345971341*^9, 
   3.79948135253788*^9}, {3.7994815081323547`*^9, 3.7994815692079744`*^9}, {
   3.7994817351869698`*^9, 3.7994817490239553`*^9}, {3.7994818016007905`*^9, 
   3.799481879768943*^9}, {3.799481936654236*^9, 3.799481963523617*^9}, {
   3.7994822692921057`*^9, 3.799482291505213*^9}, {3.7994839155274987`*^9, 
   3.799483917860682*^9}, {3.7994840503903*^9, 3.799484067639351*^9}, {
   3.7994852799689784`*^9, 3.7994853060599356`*^9}, {3.7994901898959875`*^9, 
   3.7994902174714403`*^9}, {3.799490469569346*^9, 3.799490470232053*^9}, {
   3.799496247690103*^9, 3.7994962766103973`*^9}, {3.799496376857845*^9, 
   3.7994963792586756`*^9}, {3.7994964801080585`*^9, 
   3.7994965082662883`*^9}, {3.7994972184418488`*^9, 3.799497260460412*^9}, {
   3.7994976167444715`*^9, 3.7994976546222773`*^9}, {3.7994977409512243`*^9, 
   3.7994977601242685`*^9}, {3.7994981489882717`*^9, 3.79949818178201*^9}, {
   3.7994982576357346`*^9, 3.7994982665107927`*^9}, {3.799498608876613*^9, 
   3.799498627514166*^9}, {3.7995001111316833`*^9, 3.7995001150271826`*^9}, {
   3.799504836990512*^9, 3.7995048387118664`*^9}, {3.799506926760292*^9, 
   3.7995069817420444`*^9}, {3.7995703035571566`*^9, 
   3.7995703742682915`*^9}, {3.799913871304522*^9, 3.7999138722270775`*^9}, {
   3.799914196229898*^9, 3.799914228648941*^9}, {3.7999143996059055`*^9, 
   3.7999144033578587`*^9}, {3.7999156330595675`*^9, 
   3.7999157323200054`*^9}, {3.7999165755890512`*^9, 
   3.7999166997074347`*^9}, {3.799916745098012*^9, 3.7999167555979166`*^9}, {
   3.7999168020909076`*^9, 3.7999168285020857`*^9}, {3.7999215681541014`*^9, 
   3.799921596562216*^9}, {3.79992162669561*^9, 3.7999216297803574`*^9}, {
   3.7999224365684443`*^9, 3.7999225322852807`*^9}, {3.7999226218526745`*^9, 
   3.7999226283174515`*^9}, {3.7999240995650177`*^9, 3.79992409972655*^9}, {
   3.799924171925847*^9, 3.7999241817799606`*^9}, {3.8004568244075146`*^9, 
   3.800456836767031*^9}, {3.8004568751108885`*^9, 3.800456877562039*^9}, {
   3.800495588577081*^9, 3.8004956568092527`*^9}, {3.8004956868988132`*^9, 
   3.800495750952485*^9}, {3.800495888565137*^9, 3.800495890970083*^9}, {
   3.800495950208584*^9, 3.8004959644456778`*^9}, 3.8187735831970325`*^9, {
   3.818773615751435*^9, 3.818773618335054*^9}}],

Cell[BoxData[
 GraphicsBox[{
   RasterBox[SparseArray[Automatic, {200, 200}, 1., {1, {CompressedData["
1:eJzt0M0rAwAYx/HvvG/mZd7NGPM2ZjbmZUxKsoMTikIuXJxo5aA4zE3yclos
5YCQG6XcpLzkrBxdlMLJRSsxv/I3uHnqc3kOz/N7norJ2aEZA3DHb93KuhrD
CWBLhCc5ToJQMvhTIC43qbCaBkNGKDLBo+ylw7QZ3BnwLmeZMJ8FgWz4kgsL
hHOgJxcMeXAp4XzoLoBPOS+EuSLwFMOL7FphrAQsNmWSxVLwlimPROwQLIcP
2a+AQYd2yGElDFRBTHaqobcGnmW5FpxO5ZapOviWzXrtcsG1jDbAmyy4wdio
+WL3aJ64vXAiviY4FU+z/iEOH2xJeouyyauMtOpOqWmDFXmT/nY4kLgM++FI
YtLXARvyINZOGJeo3IspoL/IjGzLlbyKuQtcEpQJCcmSrElEov/+3A/oxpYc

       "], CompressedData["
1:eJxTTMoPSmJiYGCYacPAwAikmZhZWNnYOTi5uHl4+fgFBIWERUTFxCUkpaRl
ZOXkFRSVlFVU1dQ1NLW0dXT19A0MjYxNTM3MLSytrG1s7ewdHJ2cXVzd3D08
vbx9fP38AwKDgkNCw8IjIqOiY2Lj4hMSk5JTUtPSMzKzsnNy8/ILCouKS0rL
yisqq6prauvqGxqbmlta29o7Oru6e3r7+idMnDR5ytRp02fMnDV7ztx58xcs
XLR4ydJly1esXLV6zdp16zds3LR5y9Zt23fs3LV7z959+w8cPHT4yNFjx0+M
emPUG6PeGPXGqDdGvTECvTHqi1FfjPoC0xejnhj1BBU9MeqHweGHUS8MBi+M
+mDgfTDqgYH2wKj7B9b9Q9z5Q9v1o44fKMcPZbcPYacPXZcPWYcPVXcPUWcP
TVcPSUcPRTcPQScPPRcPOQcPNfcOLdcOKccOJbcOHZcOGYcOFXcODVcOCUcO
AScOfhcOdvcNbtcNascNYqcNWocNVncNTlcNRjcNPhcNNvcMLtcMJrcMHpcM
FncMDlcMBjcMvAsG2PoBtXwArR4oewfG1gGwku4W0tc2etpFN4voZA097KC5
BTQ2npZm08xg2phKAyOpbR5VDaOeSVQyhhpmUGwAZbrJ10mmNnL0kKqeJMVE
KyROFWEVBKTxSOEQxiaGzkdmw2gQBgDJ6TG7
       "]}, CompressedData["
1:eJztwTERACAMBLBHCj6qAgncMaMHt12QkWTuu85I8ioAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAB8DU/8AoA=
      "]}], {{0, 0}, {200, 200}}, {0, 1}], {{}, {
     {RGBColor[1, 0, 0], AbsolutePointSize[6], AbsoluteThickness[1.6], 
      GeometricTransformationBox[InsetBox[
        StyleBox["\[FilledCircle]",
         StripOnInput->False,
         FontSize->5], {0., 0.}], CompressedData["
1:eJxV0ntUjYkax/EtjEpEyTjSskuRKCqVS+nX/aL7fXfZt2rvyi2TSJjZQ6Va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       "]]}, {}}, {}, {}, {{}, {}}}},
  Axes->False,
  BaseStyle->{FontSize -> 17},
  Frame->True,
  FrameLabel->{None, None},
  FrameStyle->GrayLevel[0],
  FrameTicks->{{{{199.5, 
       FormBox["\"1.30\"", TraditionalForm]}, {100.5, 
       FormBox[
       "\"\\!\\(\\*\\nStyleBox[\\\"H\\\",\\nFontSlant->\\\"Italic\\\"]\\)/\\!\
\\(\\*\\nStyleBox[\\\"h\\\",\\nFontSlant->\\\"Italic\\\"]\\)\"", 
        TraditionalForm]}, {0.5, 
       FormBox["\"1.00\"", TraditionalForm]}}, None}, {{{0.5, 
       FormBox["\"0.0\"", TraditionalForm]}, {99.5, 
       FormBox[
       "\"\\!\\(\\*\\nStyleBox[\\\"J\\\",\\nFontSlant->\\\"Italic\\\"]\\)/\\!\
\\(\\*\\nStyleBox[\\\"h\\\",\\nFontSlant->\\\"Italic\\\"]\\)\"", 
        TraditionalForm]}, {184.1153846153846, 
       FormBox["\"0.6\"", TraditionalForm]}}, None}},
  GridLines->None,
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  LabelStyle->{FontSize -> 17},
  Method->{
   "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
    "DefaultPlotStyle" -> Automatic, "DomainPadding" -> Scaled[0.02], 
    "RangePadding" -> Scaled[0.05]},
  PlotRange->{{1, 200}, {0, 200}}]], "Output",
 CellChangeTimes->{
  3.799485307989045*^9, {3.799490195186434*^9, 3.7994902179420795`*^9}, 
   3.7994904244365625`*^9, {3.7994904630587544`*^9, 3.7994904716017294`*^9}, {
   3.79949625223251*^9, 3.7994962775189767`*^9}, {3.7994964886488776`*^9, 
   3.7994965090835094`*^9}, 3.799497269191866*^9, {3.799497628532235*^9, 
   3.799497655493566*^9}, 3.7994981848853693`*^9, 3.7994982676472697`*^9, {
   3.7994986190367928`*^9, 3.7994986308755884`*^9}, 3.7995048414160943`*^9, 
   3.7995048733626485`*^9, 3.799506936745864*^9, {3.7995069758456907`*^9, 
   3.799506982571076*^9}, {3.799570369102768*^9, 3.799570375656947*^9}, 
   3.799914184699507*^9, 3.7999142305917397`*^9, 3.799915697404398*^9, 
   3.7999157276176224`*^9, {3.799916578280667*^9, 3.7999165895447283`*^9}, 
   3.7999167512884445`*^9, {3.7999168236410804`*^9, 3.799916829696913*^9}, 
   3.7999216346632905`*^9, {3.799922448792736*^9, 3.7999224578564873`*^9}, {
   3.799922495458852*^9, 3.799922532953492*^9}, 3.799922628910822*^9, {
   3.799924174934658*^9, 3.799924186183182*^9}, 3.800456838375955*^9, {
   3.8004957179429255`*^9, 3.800495751813341*^9}, 3.8004958922103357`*^9, 
   3.800495972619329*^9, 3.8187736538720303`*^9}]
}, Open  ]]
},
WindowSize->{1014, 1107},
WindowMargins->{{36, Automatic}, {Automatic, 32}},
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (September 21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 205, 3, 30, "Text"],
Cell[766, 25, 117, 2, 30, "Input"],
Cell[886, 29, 281, 8, 30, "Text"],
Cell[1170, 39, 3868, 107, 176, "Input"],
Cell[5041, 148, 1334, 44, 110, "Text"],
Cell[CellGroupData[{
Cell[6400, 196, 985, 26, 146, "Input"],
Cell[7388, 224, 1514, 25, 30, "Output"],
Cell[8905, 251, 2832, 68, 94, "Output"]
}, Open  ]],
Cell[11752, 322, 189, 4, 30, "Text"],
Cell[11944, 328, 4083, 88, 221, "Input"],
Cell[16030, 418, 680, 19, 32, "Text"],
Cell[CellGroupData[{
Cell[16735, 441, 1089, 17, 34, "Input"],
Cell[17827, 460, 1454, 20, 30, "Output"]
}, Open  ]],
Cell[19296, 483, 381, 11, 35, "Text"],
Cell[CellGroupData[{
Cell[19702, 498, 711, 14, 42, "Input"],
Cell[20416, 514, 691, 9, 30, "Output"]
}, Open  ]],
Cell[21122, 526, 206, 4, 30, "Text"],
Cell[CellGroupData[{
Cell[21353, 534, 4514, 94, 202, "Input"],
Cell[25870, 630, 1491, 25, 30, "Output"],
Cell[27364, 657, 1235, 19, 30, "Output"]
}, Open  ]],
Cell[28614, 679, 98, 1, 30, "Text"],
Cell[28715, 682, 1001, 19, 50, "Input"],
Cell[29719, 703, 115, 1, 30, "Text"],
Cell[CellGroupData[{
Cell[29859, 708, 8655, 207, 363, "Input"],
Cell[38517, 917, 6808, 123, 429, "Output"]
}, Open  ]]
}
]
*)

